#include <bits/stdc++.h>
#include "testlib.h"
 
using namespace std;
#define all(x) x.begin(), x.end()
// const int SUMK = 100'000;
const long long MAXM = 200'000'000'000'000LL;
 
int main(int argc, char** argv) {
    registerGen(argc, argv, 1);
    int T = 5000;
    println(T);
    int diff = opt<int>("diff", 0);
    for (int i = 0; i < T; i++){
        println((long long)1e18 - i * diff);
    }
    return 0;
}
